# Linux

```{eval-rst}
.. autoclass:: serialx.platforms.serial_linux.LinuxSerial
   :members:
   :member-order: bysource
```

```{eval-rst}
.. autoclass:: serialx.platforms.serial_linux.LinuxSerialTransport
   :members:
   :member-order: bysource
```

```{eval-rst}
.. autofunction:: serialx.platforms.serial_linux.linux_list_serial_ports
```
